slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSSetMethod

Selects the method to be used to solve the problem.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSetMethod(DS ds,PetscInt meth)

Logically Collective

### Input Parameters

| ds | - the direct solver context
| meth | - an index identifying the method

### Options Database Key

| -ds_method <meth> | - Sets the method

### See Also

DSGetMethod()

### Level

intermediate

### Location

src/sys/classes/ds/interface/dsbasic.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages